- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/sendRemoteAgentInstaller#body.aspect_1)

**Full name**: projects.locations.instances.remoteAgents.sendRemoteAgentInstaller

Sends the RemoteAgent installer via email. Use this method to distribute the necessary installation files to specified recipients for deployment on a remote site.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:sendRemoteAgentInstaller`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the remote agent to delete. Format: projects/{project}/locations/{location}/instances/{instance}/remoteAgents/{remoteAgent} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "recipients": [ string ] } ``` |

| Fields ||
|---|---|
| `recipients[]` | `string` Required. The email addresses of the recipients. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.remoteAgents.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).